﻿using STcpHelper;

namespace TAPServer
{
    internal class Program
    {
        static void Main(string[] args)
        {
            STcpServer server = new STcpServer(8207);
            server.ErrorCallback += ((sender, ex) => { Console.WriteLine($"[ERR] {ex.Message}"); });
            server.MessageCallback += ((sender, msg) => { Console.WriteLine(msg); });
            server.Start();

            while (true) 
            {
                string command = Console.ReadLine();
                if (command == "exit")
                    server.Stop();
            }
        }
    }
}